> ## Documentation Index
> Fetch the complete documentation index at: https://docs.junction.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Team

> Patch org team via the Junction API. Requires authentication with your team API key.

<Info>
  [Junction Management API](/api-details/junction-management-api) is available for [the Scale plan](https://tryvital.io/pricing).
</Info>

<Tip>
  The base URL of this endpoint is `https://api.management.junction.com/`.

  The endpoint accepts only [Management Key](/api-details/junction-management-api#authentication) (`X-Management-Key`).
  Team API Key is not accepted.
</Tip>

<RequestExample>
  ```bash cURL theme={null}
  curl --request PATCH \
    --url https://api.management.junction.com/v1/org/{org_id}/team/{team_id} \
    --header 'Content-Type: application/json' \
    --header 'X-Vital-Org-Key: <api-key>' \
    --data '{
    "name": "<string>",
    "sandbox": {
      "lab_tests_patient_sms_communication_enabled": true,
      "lab_tests_patient_email_communication_enabled": true,
      "event_type_prefixes": [
        "<string>"
      ]
    },
    "production": {
      "lab_tests_patient_sms_communication_enabled": true,
      "lab_tests_patient_email_communication_enabled": true,
      "event_type_prefixes": [
        "<string>"
      ]
    }
  }'
  ```
</RequestExample>


## OpenAPI

````yaml patch /v1/org/{org_id}/team/{team_id}
openapi: 3.1.0
info:
  title: Org Management
  version: 0.1.0
servers:
  - url: https://api.management.junction.com
    description: Production Management API server
security:
  - ManagementKey: []
paths:
  /v1/org/{org_id}/team/{team_id}:
    patch:
      tags:
        - Team
      summary: Update Team In Org
      operationId: update_team_in_org_v1_org__org_id__team__team_id__patch
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Org Id
        - name: team_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Team Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateOrgTeamBody'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientFacingOrgTeam'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UpdateOrgTeamBody:
      properties:
        name:
          anyOf:
            - type: string
              pattern: ^[A-Za-zÀ-ÖØ-öø-ÿ0-9(),/:'|&_\-\s’]{0,80}$
            - type: 'null'
          title: Name
          description: >

            A human readable name of this Team. It is primarily used by Vital
            Dashboard.


            In the Vital Link widget, you are by default represented as the Team
            name.

            However, if you have set Brand Information for the environment, the
            Company

            Name takes precedence.


            In Vital Lab Testing, all communications use only Brand Information.
            Team

            name is ignored.


            See also: `sandbox.brand_information` and
            `production.brand_information`.
        sandbox:
          anyOf:
            - $ref: '#/components/schemas/UpdateOrgTeamEnvironmentBody'
            - type: 'null'
        production:
          anyOf:
            - $ref: '#/components/schemas/UpdateOrgTeamEnvironmentBody'
            - type: 'null'
      additionalProperties: false
      type: object
      title: UpdateOrgTeamBody
    ClientFacingOrgTeam:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        created_on:
          type: string
          format: date-time
          title: Created On
        region:
          type: string
          enum:
            - us
            - eu
          title: Region
        environments:
          items:
            $ref: '#/components/schemas/Env'
          type: array
          title: Environments
        sandbox:
          anyOf:
            - $ref: '#/components/schemas/ClientFacingOrgTeamEnvironment'
            - type: 'null'
        production:
          anyOf:
            - $ref: '#/components/schemas/ClientFacingOrgTeamEnvironment'
            - type: 'null'
      type: object
      required:
        - id
        - name
        - created_on
        - region
        - sandbox
        - production
      title: ClientFacingOrgTeam
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    UpdateOrgTeamEnvironmentBody:
      properties:
        lab_tests_patient_sms_communication_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Lab Tests Patient Sms Communication Enabled
        lab_tests_patient_email_communication_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Lab Tests Patient Email Communication Enabled
        critical_result_notification_email:
          anyOf:
            - type: string
              format: email
            - type: 'null'
          title: Critical Result Notification Email
        partial_webhooks_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Partial Webhooks Enabled
        minor_ordering_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Minor Ordering Enabled
        reject_duplicate_connection:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Reject Duplicate Connection
        sdk_per_device_activity_timeseries:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Sdk Per Device Activity Timeseries
        patient_experience:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Patient Experience
        brand_information:
          anyOf:
            - $ref: '#/components/schemas/UpdateBrandInformationBody'
            - type: 'null'
          description: >

            Information of your brand.


            In the Vital Link widget, you are by default represented as the Team
            name.

            However, if you configure Brand Information for the environment, the
            Company

            Name takes precedence.


            In Vital Lab Testing, all communications use only Brand Information.
            Team

            name is ignored.
        logo_url:
          anyOf:
            - type: string
              maxLength: 2083
              minLength: 1
              format: uri
            - type: 'null'
          title: Logo Url
          description: Required if `brand_information.company_name` is set.
      type: object
      title: UpdateOrgTeamEnvironmentBody
    Env:
      type: string
      enum:
        - production
        - sandbox
      title: Env
    ClientFacingOrgTeamEnvironment:
      properties:
        lab_tests_patient_sms_communication_enabled:
          type: boolean
          title: Lab Tests Patient Sms Communication Enabled
          default: true
        lab_tests_patient_email_communication_enabled:
          type: boolean
          title: Lab Tests Patient Email Communication Enabled
          default: true
        critical_result_notification_email:
          anyOf:
            - type: string
              format: email
            - type: 'null'
          title: Critical Result Notification Email
        brand_information:
          anyOf:
            - $ref: '#/components/schemas/BrandInformation'
            - type: 'null'
          description: >

            Information of your brand.


            In the Vital Link widget, you are by default represented as the Team
            name.

            However, if you configure Brand Information for the environment, the
            Company

            Name takes precedence.


            In Vital Lab Testing, all communications use only Brand Information.
            Team

            name is ignored.
        logo_url:
          anyOf:
            - type: string
              maxLength: 2083
              minLength: 1
              format: uri
            - type: 'null'
          title: Logo Url
        reject_duplicate_connection:
          type: boolean
          title: Reject Duplicate Connection
          default: false
        sdk_per_device_activity_timeseries:
          type: boolean
          title: Sdk Per Device Activity Timeseries
          default: false
        partial_webhooks_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Partial Webhooks Enabled
          default: false
        minor_ordering_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Minor Ordering Enabled
          default: false
      type: object
      title: ClientFacingOrgTeamEnvironment
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    UpdateBrandInformationBody:
      properties:
        company_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Company Name
        company_website:
          anyOf:
            - type: string
            - type: 'null'
          title: Company Website
        support_email:
          anyOf:
            - type: string
              format: email
            - type: 'null'
          title: Support Email
        support_contact:
          anyOf:
            - type: string
            - type: 'null'
          title: Support Contact
        company_address:
          anyOf:
            - type: string
            - type: 'null'
          title: Company Address
        brand_color:
          anyOf:
            - type: string
            - type: 'null'
          title: Brand Color
      type: object
      title: UpdateBrandInformationBody
    BrandInformation:
      properties:
        company_name:
          type: string
          title: Company Name
        company_website:
          type: string
          title: Company Website
          default: ''
        support_email:
          type: string
          format: email
          title: Support Email
          default: help@tryvital.io
        support_contact:
          anyOf:
            - type: string
            - type: 'null'
          title: Support Contact
          default: ''
        company_address:
          type: string
          title: Company Address
          default: ''
        brand_color:
          type: string
          title: Brand Color
          default: ''
      type: object
      required:
        - company_name
      title: BrandInformation
  securitySchemes:
    ManagementKey:
      type: apiKey
      in: header
      name: X-Management-Key

````